About This File

Blue Pumpkin Integration 7.1 Statistics Configuration Utility Help

Copyright © 2004 Genesys Telecommunications Laboratories, Inc. All rights reserved.
71bpi_help_11-2004_v7.1.001.00

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Genesys Telecommunications Laboratories, Inc., a subsidiary of Alcatel, is 100% focused on software for call centers. Genesys recognizes that better interactions drive better business and build company reputations. Customer service solutions from Genesys deliver on this promise for Global 2000 enterprises, government organizations, and telecommunications service providers across 80 countries, directing more than 100 million customer interactions every day. Sophisticated routing and reporting across voice, e-mail, and Web channels ensure that customers are quickly connected to the best available resource—the first time. Genesys offers solutions for customer service, help desks, order desks, collections, outbound telesales and service, and workforce management. Visit www.genesyslab.com for more information.

Each product has its own documentation for online viewing on the Genesys Technical Support website or on the Genesys Documentation Library CD, which is available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North and Latin America | 888-369-5555 or 506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-118-974-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Japan | +81-3-5649-6821 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information on ordering Genesys products, please see Licensing Genesys Products (for 6.5 and earlier products) or Genesys 7 Licensing Guide (for 7.0 and later products).

Released by

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com


About Genesys Patents

Genesys applications are covered by one or more of the following patents (and non-U.S. equivalents thereof), which are owned or licensed by Genesys Telecommunications, Laboratories, Inc.:

4797911; 4977520; 5103449; 5097528; 5311577; 5402474; 5652866; 6130933;
 5802163; 5812644; 5825870; 5917817; 5915012; 5933492; 5765033; 5995614;
 5995615; 5953405; 6185292; 5963632; 6185291; 5926538; 5946387; 6201863;
 5907598; 6018578; 5940495; 6038602; 5999612; 5940496; 5970126; 6148074;
 5915011; 5905792; 5991391; 5991392; 6185287; 6205412; 5926539; 6078581;
 6064667; 6393015; 6134315; 5960073; 6181788; 6104801; 5953332; 6175563;
 6289094; 5970065; 6011792; 5940497; 6449270; 6480600; 6198739; 6359981;
 5991393; 6005931; 5960442; 6104802; 6055308; 6072864; 6128646; 6021428;
 6175564; 6373836; 6044146; 5943416; 6002760; 6047060; 6067357; 6456615;
 6201804; 6339593; 6078566; 6044368; 5991395; 6263066; 5991723; 6141724;
 6118866; 6181692; 6411615; 6230197; 6108711; 6212178; 6389007; 6138139;
 6167395; 6370508; 6170011; 6459697; 6215783; 6157655; 6122365; 6381640;
 6332154; 6076093; 6445788; 6229888; 6421329; 6421325; 6381222; 6118865;
 6389028; 6389133; 6122360; 6259786; 6496702; 6434231; 6178239; 6512763;
 6442247; 6408064; 6418146; 6449358; 6346952; 6286033; 6345305; 6259774;
 6393018; 6320951; 6298130; 6259692; 6453341; 6470080; 6337904; 6373937;
 6473787;


Printing This Help File

You can print a single topic (page) or all the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Table of Contents, select a topic or book and then do the following:

  1. Select the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic

    • Print the selected heading and all subtopics

  3. Select OK.


Overview

This help file:

  • Introduces the Genesys 7.1 Blue Pumpkin Integration (BPI) Statistics Configuration Utility interface.

  • Explains how to use the Statistics Configuration Utility to:

    • Configure Data Aggregator settings.

    • Create and configure planning objects.

    • Configure statistics to be monitored for each planning object.


Logging In

To log in to the Statistics Configuration Utility:

  1. Enter the following information on the Login window:

Field

Information

User Name

Your user name as configured in Genesys Configuration Manager.

User Password

Your password as configured in Genesys Configuration Manager.

Note: The Statistics Configuration Utility saves the value of the Application, Host Name, and Port that was most recently entered. Leave these set to their default values, unless you are using a different instance of the Statistics Configuration Utility or a different Configuration Server.

If the text boxes described below do not appear on the Login window, click Details to reveal them. To hide these text boxes, click Details again.

Application

The name of the WFM Client Application object that the Statistics Configuration Utility uses.

Host Name

The name of the computer on which Configuration Server is installed.

Port

The port number of the computer on which Configuration Server is installed.

  2. Click OK. The Statistics Configuration Utility main window opens.


The Statistics Configuration Utility Interface

The main window of the Statistics Configuration Utility has two panes:

  • A tree pane, which shows WFM Data Aggregator instances and planning objects.

  • A working (right-hand) pane, which changes depending on what is selected on the tree pane.

The menu bar, at the top of the window, has two menus:

  • A File menu, which offers only one selection, Exit. Use this command to close the Statistics Configuration Utility.

  • A Help menu, which offers two selections:

    • Help, which opens Blue Pumpkin Integration 7.1 Statistics Configuration Utility Help.

    • About, which shows version information for the Statistics Configuration Utility.

To open Help in windows and dialog boxes other than the main window:

  • Click the Help button or press F1.

About the Tree Pane

This pane displays:

  • WFM Data Aggregator instances, which BPI uses.

  • Planning objects configured for each WFM Data Aggregator.

A planning object is a user-defined type of work in which agents might be engaged. You configure these objects in the WFM Data Aggregator Application object using Configuration Manager.

See the Blue Pumpkin Integration 7.1 Deployment Guide for instructions on how to configure objects.

To configure a WFM Data Aggregator:

  1. Select it on the tree pane.

  2. Fill in the boxes on the working pane of the main window.

  3. Click Apply.

Note: For a WFM Data Aggregator instance to appear on the tree pane, you must have already configured the BPI section on the Options tab of the WFM Data Aggregator Application object.

See Configuring WFM Data Aggregator for more information.

To sort tree pane objects alphabetically:

  1. Right-click the pane.

  2. Select Sort Ascending or Sort Descending.

Working With Planning Objects

To create a planning object,

  1. Right-click the WFM Data Aggregator that will provide statistics for the new planning object.

  2. Select New Planning Object.

  3. Configure the planning object by selecting it on the tree pane and then filling in the boxes on the working pane of the main window. See Configuring Planning Objects for more information.

To delete a planning object:

  1. Right-click the planning object to be deleted.

  2. Select Delete Planning Object.


Configuring Data Aggregator

Configuring WFM Data Aggregator

When you select a WFM Data Aggregator on the tree pane, the properties for that WFM Data Aggregator appear on the right-hand pane.

To configure the WFM Data Aggregator Application object:

  1. Enter appropriate values in the text boxes.

  2. When finished, click Apply to save your entries or Cancel to clear them.

Text Box | Value
Name | A read-only field that displays the name of the WFM Data Aggregator Application object that is configured in Configuration Manager.
Stat Server | A read-only field that displays the Stat Server from which WFM Data Aggregator gathers statistical data.
Tenant Name | A drop-down list of all tenants to which the current user has access rights. Select the appropriate tenant from the list.
Tenant Password | Enter the password for that tenant into the Tenant Password text box. It can be a maximum of 127 characters.
Time Profile | A list of all time profiles configured for the Stat Server with which this WFM Data Aggregator is associated. Select the appropriate time profile from the drop-down list. If no Stat Server is associated with the WFM Data Aggregator, this field is blank.
Agent Group | Select an agent group from the drop-down list or enter the appropriate agent group name into the text box. The list of agent groups only includes those for the selected tenant.
Retrieve Reason Code From | Select Reasons, ReasonCode, or ExtensionReasonCode from the list or enter the value you have configured for the ReasonCodeKeyName option in the Options tab of the WFM Data Aggregator Application object.


Configuring Planning Objects

Planning objects are work that you track and manage using Blue Pumpkin.

To configure a planning object:

  1. Select it on the tree pane.

  2. Enter the appropriate values into the text boxes on the right-hand pane.

  3. Modify the statistics list, if you want to.

    • Click Add to add a statistic to the list.

    • Select a statistic and click Edit to make changes to it.

    • Select a statistic and click Delete to remove it from the planning object.

See Adding and Editing Statistics for more information on statistics configuration.

  4. Click Apply to save your changes or Cancel to remove them and restore the previous values.

Text Box | Value
Name | You can change the name of the planning object by entering a value into this text box. Planning object names must be unique and can be up to 127 characters long.
Comments | Enter comments about the planning object into this text box. Comments can be up to 127 characters long.
Statistics List | This section lists all the statistics configured for this planning object. The list shows the Statistic Name, Object Type, Object Name, Filters, and Statistic Type. Click the header of a column to sort the list alphabetically by that column.


Adding and Editing Statistics Overview

Adding and Editing Statistics Overview

This section explains how to configure the statistics you want to collect for the objects in your contact center. It contains these sections:

  • Adding and Editing Statistics, which explains what statistics are collected, for which objects, and how to use the Statistics (Add) and Statistics (Edit) windows.

  • Creating New Statistics, which explains how to add a new statistic to Stat Server.

  • Configuring Time Ranges, which explains how to configure time ranges in Stat Server.


Adding and Editing Statistics Overview

Adding and Editing Statistics

When you define a statistic for a planning object, you tell WFM Data Aggregator which contact center objects to monitor and which Stat Server statistics to collect concerning them.

Some planning objects may require multiple statistics definitions. For example, you might need to define a statistic for each queue or group that is associated with this planning object.

To configure a statistic for a planning object:

  1. In the Statistic (Add) or Statistic (Edit) window, select a statistic type from the Type drop-down list.

Statistic types are predefined. For explanations of the types, see Statistics Properties (below).

  2. Indicate the Object type by selecting the correct radio button.

Not all Object types are available for each statistic type.

  3. Select the Object to be monitored from the drop-down list under the selected Object type.

  4. Select statistics to associate with the selected Object. See the recommended statistics settings for each statistic type (in the table below).

  5. Select a Filter, if necessary.

Filters are used in multiskilled contact centers to further clarify the object to be monitored. You define filters in Configuration Manager.

  6. Select the Time Range for the Service Level statistic type. You can select one or two time ranges.

  7. Click OK.

Recommended Statistics Settings

Statistic Type | Statistics Options | Available Objects
Interaction Volume | TotalNumberCallsEntered (WFMTotalNumberCallsEntered) | Queue, Route Point, Group of Queues
Service Level | ServiceFactor1 (WFMServiceFactor1) | Queue, Route Point, Group of Queues
Abandons | TotalNumberCallsAband (WFMTotalNumberCallsAband) | Queue, Route Point, Group of Queues
Average Speed of Answer | AverTimeBeforeAnswering (WFMAverTimeBeforeAnswering) | Queue, Group of Queues
Average Handling Time | AverHandleDNStatusTime (BPIAverHandleDNStatusTime) | Group of Agents, Group of Places

To associate a statistic with a planning object:

  • You must have already configured the necessary statistic in Stat Server and configured a connection between WFM Data Aggregator and Stat Server on the WFM Data Aggregator Application Connections tab.

  • The WFM Data Aggregator–Stat Server connection must be active.

If you used the Genesys WFM Configuration Wizards to set up WFM Data Aggregator during installation and selected the Wizard's Add Statistics option, then the statistics are already configured. The statistics will have the variant names (with WFM or BPI as prefixes) listed in parentheses in the "Statistics Options" column of the Recommended Statistics Settings table.

For information on creating the Stat Server statistics manually, see Creating Statistics.

Statistics Properties

Type—One of the five standard statistic types that can be associated with each planning object.

  • Interaction Volume—Defines how to retrieve the number of interactions coming into the contact center for each planning object.

  • Service Level—Expressed as an average. Group of Agents and Group of Places are disabled for this statistics type.

  • Abandons—Describes the number of interactions abandoned from the contact center for each planning object. Group of Agents and Group of Places are disabled for this statistics type.

  • Average Speed of Answer—Includes statistics that track average time of answer (ASA). Group of Agents and Group of Places are disabled for this statistics type.

  • Average Handling Time—Expressed as an average. Tracked for each planning object.

Object Type—The kind of object being monitored.

Object—The specific Queue, Route Point, Group of Queues, Group of Agents, or Group of Places being monitored.

Statistics—The Stat Server statistics that have been associated with the selected planning object.

Filters—Optional values that define the interactions handled by the object more precisely. Used in contact centers with multiskilled agents. In most cases, filters require installation of Genesys Universal Routing Server (URS).

Time Ranges—Period of time during which Service Level statistics types are calculated. Time Ranges are configured in Stat Server. For more information, see Configuring Time Ranges.


Adding and Editing Statistics Overview

Creating Statistics

Before trying to create statistics, check to see that they have not already been created.

To locate preconfigured Stat Server statistics:

  1. Click the plus sign (+) next to Environment in the Configuration Manager tree view.

  2. Click Applications.

The list of available applications appears in the right-hand pane of the window.

  3. Double-click the Stat Server application.

A Properties window containing several tabs opens.

  4. Click the Options tab.

The Options window lists all preset statistics.

  5. Scroll through the list to determine which of the statistics listed in the table of Recommended Stat Server Statistics are available and which you need to create.

Create New Stat Server Statistics

If the statistics Workforce Management requires are not in the preset list:

  1. Click the Create New Section/Option icon on the Stat Server Properties Option tab.

The Add Statistic window opens.

  2. Enter a statistic name from the Recommended Stat Server Statistics table.

  3. Click OK.

The new statistic now appears in the Option tab statistics list.

Configure Your New Statistics

Stat Server statistics are used to collect historical data, so it is critical that you configure them correctly.

After creating the new statistics, configure them using the Recommended Stat Server Statistics table as a guide. You can create one or more requests for each planning object.

For example, if a planning object named CustomerCare is handled by two different queues, you can determine the combined interaction volume by creating a separate request to Stat Server for the TotalNumberCallsInbound statistic for each queue. Data Aggregator automatically sums these results to calculate the total number of CustomerCare interactions.

To configure the statistics that you just created:

  1. Double-click a new statistic.

A blank Properties window opens.

  2. Right-click in the blank area of the Properties window and select New from the shortcut menu.

The Edit Option dialog box opens. You must enter four (or, for some, five) option names and values for each new statistic.

  1. Enter an Option Name from the Recommended Stat Server Statistics table in the Option Name box.

  2. Enter the corresponding Option Value in the Option Value box.

You must enter the option values exactly as they are shown in the table.

  3. Click OK. The new settings appear in the Properties window.

  4. Repeat steps a–c until you have defined properties for all options.

  3. Click OK after entering all the required properties.

  4. Click the Create New Section/Options icon again to configure the next statistic.

  5. Continue the procedure until you have configured all the recommended statistics.

  6. Click OK.

If you need more information about Stat Server statistics, see the Stat Server documentation.

Recommended Stat Server Statistics

Statistic Type | Statistics Name(s) | Option Name | Option Value | Comments
Interaction Volume | TotalNumberCallsEntered | Objects | Queue, RoutePoint, GroupQueues | Predefined. Collects the number of interactions that enter the object.
 |  | Category | TotalNumber
 |  | Main Mask | CallEntered
 |  | Subject | DNAction
Service Level | ServiceFactor1 | Objects | Queue, RoutePoint, GroupQueues | Predefined. You must configure a time range to use this statistic. Reports the percentage of interactions answered by agents within the time range. Calculated as interactions answered divided by total interactions (answered + abandoned).
 |  | Category | ServiceFactor1
 |  | Main Mask | CallAnswered, CallAbandoned, CallAbandonedFrom Ringing
 |  | Subject | DNAction
Abandons | TotalNumberCallsAband | Objects | Queue, RoutePoint, GroupQueues | Predefined. Collects the number of interactions abandoned while waiting in the object.
 |  | Category | TotalNumber
 |  | Main Mask | CallAbandoned
 |  | Subject | DNAction
Average Speed of Answer | AverTimeBeforeAnswering | Objects | Queue, GroupQueues | Not predefined. Reports the average time an interaction rang before being answered. Calculated as a ratio of total wait time for interactions to be answered divided by the number answered. Only interactions that were answered during the current time interval are counted.
 |  | Category | AverageTime
 |  | Main Mask | CallAnswered
 |  | Relative Mask | CallAnswered
 |  | Subject | DNAction
Average Handling Time | AverHandleDNStatusTime | Objects | GroupAgents, GroupPlaces |
 |  | Category | AverageTime
 |  | Main Mask | CallInbound, CallOutbound, OfflineWorkType1
 |  | Relative Mask | CallInbound, CallOutbound
 |  | Subject | DNStatus


Adding and Editing Statistics Overview

Configuring Time Ranges

Data Aggregator uses the TimeRange setting to request that the service factor statistics be calculated based on the specified time interval.

Because service factor is usually calculated as “X% of calls answered in Y seconds,” you must configure the “Y seconds” as the TimeRange parameter.

After you configure the time range, Stat Server uses this time range as the default and returns the value for any service factor statistic as “X% of calls answered in [TimeRange] seconds.”

To configure the time range, check the TimeRanges section of the Stat Server Application option. If this section does not exist, create this section. If necessary, see Configuration Manager Help for instructions on how to create a section.

After locating or creating this section, add one option:

  • TimeRangeName=0-20.

In this case, 20 represents the “Y seconds” portion of the service factor described above.

You can configure multiple time ranges for multiple service-level goals.

For example, a Customer Service goal of 80 percent in 30 seconds and a Corporate Customer Service goal of 90 percent in 10 seconds are configured as follows:

  • CustTimeRange '0-30'

  • CorpTimeRange '0-10'

After you have configured a time range in Stat Server, use this TimeRange option when you are configuring the Stat Server request in the BPI Statistics Configuration Utility.

Warning! After restarting Stat Server, verify that during initialization the TimeProfile and TimeRange statistics proceed successfully.

  • See your Stat Server documentation for more information about Time Ranges.